Bug 1317300 - On Lenovo T500 boot hangs on lcpci
On Lenovo T500 boot hangs on lcpci
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 17:39 EDT by Albert Flügel
Modified: 2016-03-23 19:59 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.4.6-300.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 18:26:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output obtained with older kernel booted (2.65 KB, text/plain)
2016-03-14 23:55 EDT, Albert Flügel
no flags Details
dmesg output in the status when the system does not come up with 4.4.4-301 (18.58 KB, text/plain)
2016-03-14 23:58 EDT, Albert Flügel
no flags Details
strace of lspci in the hanging status when booted with 4.4.4-301 (47.22 KB, text/plain)
2016-03-15 00:03 EDT, Albert Flügel
no flags Details

  None (edit)
Description Albert Flügel 2016-03-13 17:39:46 EDT
Description of problem:
Fedora 23 does not come up on a T500 with latest Fedora 23 kernel 4.4.4-301


Version-Release number of selected component (if applicable): 4.4.4-301


How reproducible:
Install the named kernel on a Lenovo T500 (probably similar) on Fedora23 


Steps to Reproduce:
1. Update kernel to 4.4.4-301
2. Reboot

Actual results:
System does not come up. Remote execution using my own means (openvenus, see on sourceforge), not depending on other stuff like ssh, shows, that scripts are hanging waiting for lspci to finish, which in turn is in an "open" system call on /sys/bus/pci/devices/0000:01:00.0/config
which is booted with 4.4.3-300
00:01.0 PCI bridge: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port (rev 07)


Expected results:
system comes up and is usable

Additional info:
this is the Laptop of my wife. I think when things are not getting better i'll buy some Windows license.
Comment 1 Albert Flügel 2016-03-13 17:40:36 EDT
The last lines i see during boot on the screen:
Starting Show Plymouth Boot Screen
Starting dracut initqueue hook

then nothing happens anymore.
Comment 2 Laura Abbott 2016-03-14 17:57:24 EDT
Can you get any kind of dmesg output from whatever you are using to trace the calls? Does any earlier kernel work? Please also share the full output of lspci from your system.
Comment 3 Albert Flügel 2016-03-14 23:54:42 EDT
As i wrote, with kernel 4.4.3-300 and earlier ones the system comes up. Obtaining an lspci output is not possible with 4.4.4-301. strace shows, that lspci hangs in the system call open with /sys/bus/pci/devices/0000:01:00.0/config as first argument.
So the attached lspci output is obtained with 4.4.3-300 booted.
Comment 4 Albert Flügel 2016-03-14 23:55 EDT
Created attachment 1136373 [details]
lspci output obtained with older kernel booted
Comment 5 Albert Flügel 2016-03-14 23:58 EDT
Created attachment 1136374 [details]
dmesg output in the status when the system does not come up with 4.4.4-301
Comment 6 Albert Flügel 2016-03-15 00:03 EDT
Created attachment 1136375 [details]
strace of lspci in the hanging status when booted with 4.4.4-301
Comment 7 Albert Flügel 2016-03-15 00:04:31 EDT
Additional Info: When in the hanging status, the laptop must be reset hardly by holding down the power button for several seconds. Even reboot -nf does not work.
Comment 8 Laura Abbott 2016-03-15 12:23:48 EDT
There was a known Radeon issue, can you please test http://koji.fedoraproject.org/koji/taskinfo?taskID=13347691
Comment 9 Laura Abbott 2016-03-15 15:08:46 EDT
There were actually two issues. If that one doesn't work, please test http://koji.fedoraproject.org/koji/taskinfo?taskID=13356645 as well
Comment 10 Albert Flügel 2016-03-16 14:43:28 EDT
The 2nd fix is required, then the system comes up normally again. Thank you. The only thing that looks unusual to me is, that the "plymouth boot screen" bubble does not show after the display has switched to the higher resolution.

What i would like to know, why this had to be broken.
Comment 11 Fedora Update System 2016-03-17 13:51:19 EDT
kernel-4.4.6-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02ed08bf15
Comment 12 Fedora Update System 2016-03-17 13:53:05 EDT
kernel-4.4.6-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a57b19360
Comment 13 Fedora Update System 2016-03-18 19:55:07 EDT
kernel-4.4.6-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a57b19360
Comment 14 Fedora Update System 2016-03-18 21:24:52 EDT
kernel-4.4.6-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02ed08bf15
Comment 15 Fedora Update System 2016-03-23 18:24:47 EDT
kernel-4.4.6-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-23 19:59:05 EDT
kernel-4.4.6-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.